# Uses of Interface
org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IButtonHandler

Packages that use IButtonHandler
Package
Description
org.eclipse.birt.core.ui.frameworks.taskwizard

## Uses of IButtonHandler in org.eclipse.birt.core.ui.frameworks.taskwizard

Methods in org.eclipse.birt.core.ui.frameworks.taskwizard that return types with arguments of type IButtonHandler
Modifier and Type
Method
Description
`protected List<IButtonHandler>`
WizardBase.`getCustomButtons()`
`List<IButtonHandler>`
WizardBase.`getTabToolButtons()`
Returns all tab tool buttons.
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard with parameters of type IButtonHandler
Modifier and Type
Method
Description
`void`
WizardBase.`addCustomButton(IButtonHandler buttonHandler)`
Adds a custom button after built-in buttons.
`void`
WizardBase.`addTabToolButton(IButtonHandler buttonHandler)`
Adds tab tool button.